# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.447.16.9 -> 1.447.16.10
#	drivers/usb/image/hpusbscsi.h	1.7     -> 1.8    
#	drivers/usb/image/hpusbscsi.c	1.14    -> 1.15   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/06/11	oliver@neukum.name	1.447.16.10
# [PATCH] USB: small optimisation for hpusbscsi
# 
# This does a little optimisation, namely kill an unneeded counter
# and put the members of the device descriptor structure in an order
# that should be a little more efficient.
# --------------------------------------------
#
diff -Nru a/drivers/usb/image/hpusbscsi.c b/drivers/usb/image/hpusbscsi.c
--- a/drivers/usb/image/hpusbscsi.c	Tue Jun 11 14:58:46 2002
+++ b/drivers/usb/image/hpusbscsi.c	Tue Jun 11 14:58:46 2002
@@ -273,8 +273,6 @@
 	usb_urb_callback usb_callback;
 	int res;
 
-	hpusbscsi->use_count++;
-
 	/* we don't answer for anything but our single device on any faked host controller */
 	if ( srb->device->lun || srb->device->id || srb->device->channel ) {
 		if (callback) {
@@ -341,7 +339,6 @@
 	}
 
 out:
-	hpusbscsi->use_count--;
 	return 0;
 }
 
diff -Nru a/drivers/usb/image/hpusbscsi.h b/drivers/usb/image/hpusbscsi.h
--- a/drivers/usb/image/hpusbscsi.h	Tue Jun 11 14:58:46 2002
+++ b/drivers/usb/image/hpusbscsi.h	Tue Jun 11 14:58:46 2002
@@ -20,25 +20,25 @@
         int ep_in;
         int ep_int;
         int interrupt_interval;
-
+	int number;
+	int fragment;
         struct Scsi_Host *host;
-        Scsi_Host_Template ctempl;
-        int number;
+
 	scsi_callback scallback;
 	Scsi_Cmnd *srb;
-	u8 sense_command[SENSE_COMMAND_SIZE];
 
-        int use_count;
+
         wait_queue_head_t pending;
         wait_queue_head_t deathrow;
 
         struct urb *dataurb;
         struct urb *controlurb;
-        int fragment;
+
 
         int state;
         int current_data_pipe;
-
+	Scsi_Host_Template ctempl;
+	u8 sense_command[SENSE_COMMAND_SIZE];
         u8 scsi_state_byte;
 };
 
